Package org.kapott.hbci.status

# Class HBCIMsgStatus

java.lang.Object
org.kapott.hbci.status.HBCIMsgStatus

public final class HBCIMsgStatus extends Object

Enthält alle Status-Informationen zu genau einem Nachrichtenaustausch. Es ist zu beachten, dass in einer Nachricht Informationen zu mehreren Geschäftsvorfällen enthalten sein können, wenn die gesendete Nachricht mehrere Aufträge enthalten hat.

Die direkte Auswertung der Felder dieser Klasse wird nicht empfohlen, statt dessen sollten nur die Methoden benutzt werden, die den prinzipiellen Status (OK oder nicht OK) sowie die eigentlichen Fehler-Informationen zurückgeben.

## Field Summary

Fields
Modifier and Type
Field
Description
`HBCIStatus`
`globStatus`
Globale Status-Informationen.
`HBCIStatus`
`segStatus`
Status-Informationen, die einzelne Segmente der Nachricht betreffen.

## Constructor Summary

Constructors
Constructor
Description
`HBCIMsgStatus()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addData(Properties _data)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void`
`addException(Exception e)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`Properties`
`getData()`
Gibt den eigentlichen Inhalt sowohl der gesendeten wie auch der empfangenen Nachricht zurück.
`String`
`getErrorString()`
Gibt einen String zurück, der alle aufgetretenen Fehler bei der Durchführung des Nachrichtenaustauschs beschreibt.
`Exception[]`
`getExceptions()`
Gibt die Exceptions zurück, ob bei der Ausführung eines Nachrichtenaustauschs aufgetreten sind.
`HBCIRetVal`
`getInvalidPINCode()`
Liefert den Status-Code fuer "PIN falsch", insofern er im Response enthalten ist.
`boolean`
`hasExceptions()`
Gibt zurück, ob bei der Ausführung eines Nachrichtenaustauschs Exceptions aufgetreten sind.
`boolean`
`isInvalidPIN()`
Gibt zurück, ob der Fehler "PIN ungültig" zurückgemeldet wurde
`boolean`
`isOK()`
Gibt zurück, ob ein Nachrichtenaustausch erfolgreich durchgeführt wurde.
`void`
`setData(Properties data)`
Wird von der HBCI4Java-Dialog-Engine aufgerufen
`String`
`toString()`
Fasst alle Status-Informationen zu einem Nachrichtenaustausch in einem einzigen String zusammen und gibt diesen zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### globStatus

public HBCIStatus globStatus
Globale Status-Informationen. Das sind Informationen, die die Nachricht als ganzes betreffen (z.B. wenn die Nachricht nicht signiert oder verschlüsselt war, oder wenn sie nicht dekodiert werden konnte etc.)

### segStatus

public HBCIStatus segStatus
Status-Informationen, die einzelne Segmente der Nachricht betreffen. Hier werden alle Rückgabecodes gespeichert, die sich konkret auf einzelne Segmente der gesendeten Nachricht beziehen.

## Constructor Details

### HBCIMsgStatus

public HBCIMsgStatus()

## Method Details

### addException

public void addException(Exception e)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### setData

public void setData(Properties data)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### addData

public void addData(Properties _data)
Wird von der HBCI4Java-Dialog-Engine aufgerufen

### getData

public Properties getData()

Gibt den eigentlichen Inhalt sowohl der gesendeten wie auch der empfangenen Nachricht zurück. Die keys des Property-Objektes enthalten die Lowlevelnamen der Datenelemente, die dazugehörigen values enthalten jeweils den Wert des entsprechenden Datenelementes. Die Bezeichnungen der Datenelemente der gesendeten Nachricht tragen zur Unterscheidung mit den Datenelementen der empfangenen Nachricht das Prefix "`orig_`".

### hasExceptions

public boolean hasExceptions()
Gibt zurück, ob bei der Ausführung eines Nachrichtenaustauschs Exceptions aufgetreten sind. Diese Exceptions können entweder beim Erzeugen bzw. Versenden der Kundennachricht oder aber beim Empfangen und Auswerten der Institutsnachricht aufgetreten sein.

Returns:
  `true`, wenn Exceptions aufgetreten sind, sonst `false`

### getExceptions

public Exception[] getExceptions()
Gibt die Exceptions zurück, ob bei der Ausführung eines Nachrichtenaustauschs aufgetreten sind. Diese Exceptions können entweder beim Erzeugen bzw. Versenden der Kundennachricht oder aber beim Empfangen und Auswerten der Institutsnachricht aufgetreten sein.

Returns:
  Array mit aufgetretenen Exceptions, ist niemals `null`, kann aber die Länge 0 haben

### isOK

public boolean isOK()
Gibt zurück, ob ein Nachrichtenaustausch erfolgreich durchgeführt wurde. Das ist dann der Fall, wenn bei der Abarbeitung keine Exceptions aufgetreten sind und die Antwortnachricht eine Erfolgsmeldung oder zumindest nur Warnungen (aber keine Fehlermeldung) enthält.

Returns:
  `true`, wenn die Nachricht erfolgreich abgearbeitet wurde, sonst `false`

### getErrorString

public String getErrorString()
Gibt einen String zurück, der alle aufgetretenen Fehler bei der Durchführung des Nachrichtenaustauschs beschreibt. Dieser String besteht aus allen Exception-Meldungen sowie allen evtl. empfangenen Fehlermeldungen. Die Meldungen werden aus den einzelnen `HBCIStatus`-Objekten durch Aufruf der Methode `HBCIStatus.getErrorString()` erzeugt.

Returns:
  String mit allen aufgetretenen Fehlermeldungen

### toString

public String toString()
Fasst alle Status-Informationen zu einem Nachrichtenaustausch in einem einzigen String zusammen und gibt diesen zurück. Dazu gehören alle evtl. aufgetretenen Exception-Meldungen, alle Fehlermeldungen, Warnungen sowie Erfolgsmeldungen. Die Meldungen werden aus den einzelnen `HBCIStatus`-Objekten durch Aufruf der Methode `HBCIStatus.toString()` erzeugt.

Overrides:
  `toString` in class `Object`
Returns:
  einen String, der alle Status-Informationen zu einer Nachricht enthält

### isInvalidPIN

public boolean isInvalidPIN()
Gibt zurück, ob der Fehler "PIN ungültig" zurückgemeldet wurde

Returns:
  `true` oder `false`

### getInvalidPINCode

public HBCIRetVal getInvalidPINCode()
Liefert den Status-Code fuer "PIN falsch", insofern er im Response enthalten ist.

Returns:
  der Status-Code fuer "PIN falsch", insofern er im Response enthalten ist.